org.wso2.carbon.dataservices.sql.driver.processor.reader

## Class FixedDataTable

- java.lang.Object
- - org.wso2.carbon.dataservices.sql.driver.processor.reader.DataTable
  - - org.wso2.carbon.dataservices.sql.driver.processor.reader.FixedDataTable

-     public class FixedDataTable
      extends DataTable

  Fixed data table implementation.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FixedDataTable(String tableName, ColumnInfo[] headers)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addRow(DataRow dataRow)`
    `Map<Integer,DataRow>` | `applyCondition(String column, String value, String operator)`
    `void` | `deleteRows(int... rowIds)`
    `Map<Integer,DataRow>` | `getRows()`
    `void` | `setData(Map<Integer,DataRow> rows)`
    `void` | `updateRows(DataRow... dataRows)`

    - ### Methods inherited from class org.wso2.carbon.dataservices.sql.driver.processor.reader.DataTable

      `getHeader, getHeaders, getTableName, hasHeader, setHeaders`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FixedDataTable

          public FixedDataTable(String tableName,
                                ColumnInfo[] headers)

  - ### Method Detail

    - #### getRows

          public Map<Integer,DataRow> getRows()

      Specified by:
        `getRows` in class `DataTable`

    - #### setData

          public void setData(Map<Integer,DataRow> rows)

    - #### addRow

          public void addRow(DataRow dataRow)

      Specified by:
        `addRow` in class `DataTable`

    - #### applyCondition

          public Map<Integer,DataRow> applyCondition(String column,
                                                     String value,
                                                     String operator)
                                              throws SQLException

      Specified by:
        `applyCondition` in class `DataTable`
      Throws:
        `SQLException`

    - #### updateRows

          public void updateRows(DataRow... dataRows)

      Specified by:
        `updateRows` in class `DataTable`

    - #### deleteRows

          public void deleteRows(int... rowIds)

      Specified by:
        `deleteRows` in class `DataTable`

Copyright © 2018 WSO2. All rights reserved.